var symbolGenerator = d3.symbol()
	.type(d3.symbolStar)
	.size(80);

var points = [
	[0, 80],
	[100, 100],
	[200, 30],
	[300, 50],
	[400, 40],
	[500, 80]
];

var pathData = symbolGenerator();

d3.select('g')
	.selectAll('path')
	.data(points)
	.join('path')
	.attr('fill', 'none')
	.attr('stroke', '#999')
	.attr('transform', (d) => `translate(${d})`)
	.attr('d', pathData);